Index: src/main/java/com/wediscussmovies/project/exception/MovieIdNotFoundException.java
===================================================================
--- src/main/java/com/wediscussmovies/project/exception/MovieIdNotFoundException.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
+++ src/main/java/com/wediscussmovies/project/exception/MovieIdNotFoundException.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -0,0 +1,7 @@
+package com.wediscussmovies.project.exception;
+
+public class MovieIdNotFoundException extends RuntimeException{
+    public MovieIdNotFoundException(Long id){
+        super("Movie with that id=" + id + " does not exist!");
+    }
+}
Index: src/main/java/com/wediscussmovies/project/model/Discussion.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Discussion.java	(revision 2d57cad1a18953bc47becb4f96114a908ecbf03d)
+++ src/main/java/com/wediscussmovies/project/model/Discussion.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -1,176 +1,61 @@
 package com.wediscussmovies.project.model;
+
+import com.wediscussmovies.project.model.enumerations.DiscussionType;
+import lombok.Data;
 
 import javax.persistence.*;
 import java.sql.Date;
 import java.util.Collection;
+import java.util.List;
 import java.util.Objects;
 
+@Data
 @Entity
 @Table(name = "discussions", schema = "project", catalog = "db_202122z_va_prj_wediscussmovies")
 public class Discussion {
+
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "discussion_id")
-    private int discussionId;
-    @Basic
-    @Column(name = "type")
-    private String type;
-    @Basic
-    @Column(name = "text")
+    private Long id;
+
+    @Enumerated
+    private DiscussionType type;
+
     private String text;
-    @Basic
-    @Column(name = "title")
+
     private String title;
-    @Basic
-    @Column(name = "date")
+
     private Date date;
-    @Basic
-    @Column(name = "user_id")
-    private int userId;
-    @Basic
-    @Column(name = "movie_id")
-    private Integer movieId;
-    @Basic
-    @Column(name = "person_id")
-    private Integer personId;
+
+
+
+
 
     @ManyToOne
-    @JoinColumn(name = "user_id", referencedColumnName = "user_id", nullable = false,insertable = false, updatable = false)
-    private User usersByUserId;
+    @JoinColumn(name = "user_id", referencedColumnName = "user_id", nullable = false)
+    private User user;
+
     @ManyToOne
-    @JoinColumn(name = "movie_id", referencedColumnName = "movie_id",insertable = false, updatable = false)
-    private Movie moviesByMovieId;
+    @JoinColumn(name = "movie_id", referencedColumnName = "movie_id")
+    private Movie movie;
+
     @ManyToOne
-    @JoinColumn(name = "person_id", referencedColumnName = "person_id",insertable = false, updatable = false)
-    private Person personsByPersonId;
-    @OneToMany(mappedBy = "discussionsByDiscussionId")
-    private Collection<Reply> repliesByDiscussionId;
+    @JoinColumn(name = "person_id", referencedColumnName = "person_id")
+    private Person person;
 
-    public int getDiscussionId() {
-        return discussionId;
-    }
 
-    public void setDiscussionId(int discussionId) {
-        this.discussionId = discussionId;
-    }
 
-    public String getType() {
-        return type;
-    }
 
-    public void setType(String type) {
+
+
+    public Discussion(DiscussionType type, String text, String title, Date date, User user, Movie movie, Person person, List<Reply> replies) {
         this.type = type;
-    }
-
-    public String getText() {
-        return text;
-    }
-
-    public void setText(String text) {
         this.text = text;
-    }
-
-    public String getTitle() {
-        return title;
-    }
-
-    public void setTitle(String title) {
         this.title = title;
-    }
-
-    public Date getDate() {
-        return date;
-    }
-
-    public void setDate(Date date) {
         this.date = date;
-    }
-
-    public int getUserId() {
-        return userId;
-    }
-
-    public void setUserId(int userId) {
-        this.userId = userId;
-    }
-
-    public Integer getMovieId() {
-        return movieId;
-    }
-
-    public void setMovieId(Integer movieId) {
-        this.movieId = movieId;
-    }
-
-    public Integer getPersonId() {
-        return personId;
-    }
-
-    public void setPersonId(Integer personId) {
-        this.personId = personId;
-    }
-
-    @Override
-    public boolean equals(Object o) {
-        if (this == o) return true;
-        if (o == null || getClass() != o.getClass()) return false;
-
-        Discussion that = (Discussion) o;
-
-        if (discussionId != that.discussionId) return false;
-        if (userId != that.userId) return false;
-        if (!Objects.equals(type, that.type)) return false;
-        if (!Objects.equals(text, that.text)) return false;
-        if (!Objects.equals(title, that.title)) return false;
-        if (!Objects.equals(date, that.date)) return false;
-        if (!Objects.equals(movieId, that.movieId)) return false;
-        if (!Objects.equals(personId, that.personId)) return false;
-
-        return true;
-    }
-
-    @Override
-    public int hashCode() {
-        int result = discussionId;
-        result = 31 * result + (type != null ? type.hashCode() : 0);
-        result = 31 * result + (text != null ? text.hashCode() : 0);
-        result = 31 * result + (title != null ? title.hashCode() : 0);
-        result = 31 * result + (date != null ? date.hashCode() : 0);
-        result = 31 * result + userId;
-        result = 31 * result + (movieId != null ? movieId.hashCode() : 0);
-        result = 31 * result + (personId != null ? personId.hashCode() : 0);
-        return result;
-    }
-
-    public User getUsersByUserId() {
-        return usersByUserId;
-    }
-
-    public void setUsersByUserId(User usersByUserId) {
-        this.usersByUserId = usersByUserId;
-    }
-
-    public Movie getMoviesByMovieId() {
-        return moviesByMovieId;
-    }
-
-    public void setMoviesByMovieId(Movie moviesByMovieId) {
-        this.moviesByMovieId = moviesByMovieId;
-    }
-
-    public Person getPersonsByPersonId() {
-        return personsByPersonId;
-    }
-
-    public void setPersonsByPersonId(Person personsByPersonId) {
-        this.personsByPersonId = personsByPersonId;
-    }
-
-    public Collection<Reply> getRepliesByDiscussionId() {
-        return repliesByDiscussionId;
-    }
-
-    public void setRepliesByDiscussionId(Collection<Reply> repliesByDiscussionId) {
-        this.repliesByDiscussionId = repliesByDiscussionId;
+        this.user = user;
+        this.movie = movie;
+        this.person = person;
     }
 
@@ -178,12 +63,4 @@
     }
 
-    public Discussion(String type, String text, String title, Date date, int userId, Integer movieId, Integer personId) {
-        this.type = type;
-        this.text = text;
-        this.title = title;
-        this.date = date;
-        this.userId = userId;
-        this.movieId = movieId;
-        this.personId = personId;
-    }
+
 }
Index: src/main/java/com/wediscussmovies/project/model/DiscussionType.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/DiscussionType.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
+++ src/main/java/com/wediscussmovies/project/model/DiscussionType.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -0,0 +1,5 @@
+package com.wediscussmovies.project.model;
+
+public enum DiscussionType {
+    M,P
+}
Index: src/main/java/com/wediscussmovies/project/model/Genre.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Genre.java	(revision 2d57cad1a18953bc47becb4f96114a908ecbf03d)
+++ src/main/java/com/wediscussmovies/project/model/Genre.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -1,79 +1,29 @@
 package com.wediscussmovies.project.model;
+
 
 import javax.persistence.*;
 import java.util.Collection;
+import lombok.Data;
+
 
 @Entity
 @Table(name = "genres", schema = "project", catalog = "db_202122z_va_prj_wediscussmovies")
+@Data
 public class Genre {
+
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "genre_id")
-    private int genreId;
-    @Basic
+    private Long id;
+
     @Column(name = "genre_type")
-    private String genreType;
-    @OneToMany(mappedBy = "genresByGenreId")
-    private Collection<MovieGenresEntity> movieGenresByGenreId;
-    @OneToMany(mappedBy = "genresByGenreId")
-    private Collection<UserGenresEntity> userGenresByGenreId;
+    private String genre;
 
-    public int getGenreId() {
-        return genreId;
-    }
-
-    public void setGenreId(int genreId) {
-        this.genreId = genreId;
-    }
-
-    public String getGenreType() {
-        return genreType;
-    }
-
-    public void setGenreType(String genreType) {
-        this.genreType = genreType;
-    }
-
-    @Override
-    public boolean equals(Object o) {
-        if (this == o) return true;
-        if (o == null || getClass() != o.getClass()) return false;
-
-        Genre that = (Genre) o;
-
-        if (genreId != that.genreId) return false;
-        if (genreType != null ? !genreType.equals(that.genreType) : that.genreType != null) return false;
-
-        return true;
-    }
-
-    @Override
-    public int hashCode() {
-        int result = genreId;
-        result = 31 * result + (genreType != null ? genreType.hashCode() : 0);
-        return result;
-    }
-
-    public Collection<MovieGenresEntity> getMovieGenresByGenreId() {
-        return movieGenresByGenreId;
-    }
-
-    public void setMovieGenresByGenreId(Collection<MovieGenresEntity> movieGenresByGenreId) {
-        this.movieGenresByGenreId = movieGenresByGenreId;
-    }
-
-    public Collection<UserGenresEntity> getUserGenresByGenreId() {
-        return userGenresByGenreId;
-    }
-
-    public void setUserGenresByGenreId(Collection<UserGenresEntity> userGenresByGenreId) {
-        this.userGenresByGenreId = userGenresByGenreId;
-    }
-
-    public Genre(String genreType) {
-        this.genreType = genreType;
+    public Genre(String genre) {
+        this.genre = genre;
     }
 
     public Genre() {
     }
+
 }
Index: src/main/java/com/wediscussmovies/project/model/Movie.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Movie.java	(revision 2d57cad1a18953bc47becb4f96114a908ecbf03d)
+++ src/main/java/com/wediscussmovies/project/model/Movie.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -1,129 +1,93 @@
 package com.wediscussmovies.project.model;
+
+import lombok.Data;
 
 import javax.persistence.*;
 import java.sql.Date;
 import java.util.Collection;
+import java.util.Comparator;
+import java.util.List;
 import java.util.Objects;
+
 
 @Entity
 @Table(name = "movies", schema = "project", catalog = "db_202122z_va_prj_wediscussmovies")
+@Data
 public class Movie {
+
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "movie_id")
-    private int movieId;
-    @Basic
-    @Column(name = "title")
+    private Long id;
+
     private String title;
-    @Basic
-    @Column(name = "description")
+
     private String description;
-    @Basic
+
     @Column(name = "image_url")
     private String imageUrl;
-    @Basic
+
+
     @Column(name = "airing_date")
-    private Date airingDate;
-    @Basic
+    private Date aringDate;
+
     @Column(name = "imdb_rating")
-    private Double imdbRating;
-    @Basic
-    @Column(name = "director_id")
-    private Integer directorId;
-    @OneToMany(mappedBy = "moviesByMovieId")
-    private Collection<Discussion> discussionsByMovieId;
-    @OneToMany(mappedBy = "moviesByMovieId")
-    private Collection<MovieActorsEntity> movieActorsByMovieId;
-    @OneToMany(mappedBy = "moviesByMovieId")
-    private Collection<MovieGenresEntity> movieGenresByMovieId;
-    @OneToMany(mappedBy = "moviesByMovieId")
-    private Collection<MovieLikesEntity> movieLikesByMovieId;
-    @OneToMany(mappedBy = "moviesByMovieId")
-    private Collection<MovieRatesEntity> movieRatesByMovieId;
+    private Double imbdRating;
+
+    @ManyToMany
+    private List<Genre> genres;
+
+    @ManyToMany
+    private List<Person> likes;
+
+    @ManyToMany
+    private List<Person> actors;
+
+
+
+
     @ManyToOne
-    @JoinColumn(name = "director_id", referencedColumnName = "person_id",insertable = false, updatable = false)
-    private Person personsByDirectorId;
+    @JoinColumn(name = "director_id")
+    private Person director;
 
-    public int getMovieId() {
-        return movieId;
+
+
+
+
+
+    public boolean isFromGenre(Genre genre){
+
+     return    genres
+                .stream()
+                .anyMatch(g -> Objects.equals(g.getId(), genre.getId()));
+
+    }
+    public boolean hasActor(Person p){
+        return
+                actors
+                        .stream()
+                        .anyMatch(a -> Objects.equals(a.getPersonId(), p.getPersonId()));
+
+
     }
 
-    public void setMovieId(int movieId) {
-        this.movieId = movieId;
+    public boolean isDirectedBy(Person p){
+        return Objects.equals(director.getPersonId(), p.getPersonId());
     }
 
-    public String getTitle() {
-        return title;
-    }
+    public static Comparator<Movie> comparatorTitle = Comparator.comparing(Movie::getTitle);
 
-    public void setTitle(String title) {
-        this.title = title;
-    }
 
-    public String getDescription() {
-        return description;
-    }
+    public Movie( String title, String description, String imageUrl, Date aringDate, Double imbdRating,Person director, List<Person> actors, List<Genre> genres) {
 
-    public void setDescription(String description) {
-        this.description = description;
-    }
-
-    public String getImageUrl() {
-        return imageUrl;
-    }
-
-    public void setImageUrl(String imageUrl) {
-        this.imageUrl = imageUrl;
-    }
-
-    public Date getAiringDate() {
-        return airingDate;
-    }
-
-    public void setAiringDate(Date airingDate) {
-        this.airingDate = airingDate;
-    }
-
-    public Double getImdbRating() {
-        return imdbRating;
-    }
-
-    public void setImdbRating(Double imdbRating) {
-        this.imdbRating = imdbRating;
-    }
-
-    public Integer getDirectorId() {
-        return directorId;
-    }
-
-    public void setDirectorId(Integer directorId) {
-        this.directorId = directorId;
-    }
-
-    @Override
-    public boolean equals(Object o) {
-        if (this == o) return true;
-        if (o == null || getClass() != o.getClass()) return false;
-
-        Movie that = (Movie) o;
-
-        if (movieId != that.movieId) return false;
-        if (!Objects.equals(title, that.title)) return false;
-        if (!Objects.equals(description, that.description)) return false;
-        if (!Objects.equals(imageUrl, that.imageUrl)) return false;
-        if (!Objects.equals(airingDate, that.airingDate)) return false;
-        if (!Objects.equals(imdbRating, that.imdbRating)) return false;
-        if (!Objects.equals(directorId, that.directorId)) return false;
-
-        return true;
-    }
-
-    public Movie(String title, String description, String imageUrl, Date airingDate, Double imdbRating, Integer directorId) {
         this.title = title;
         this.description = description;
         this.imageUrl = imageUrl;
-        this.airingDate = airingDate;
-        this.imdbRating = imdbRating;
-        this.directorId = directorId;
+        this.aringDate = aringDate;
+        this.imbdRating = imbdRating;
+        this.genres = genres;
+        this.likes = likes;
+        this.actors = actors;
+        this.director = director;
     }
 
@@ -131,62 +95,4 @@
     }
 
-    @Override
-    public int hashCode() {
-        int result = movieId;
-        result = 31 * result + (title != null ? title.hashCode() : 0);
-        result = 31 * result + (description != null ? description.hashCode() : 0);
-        result = 31 * result + (imageUrl != null ? imageUrl.hashCode() : 0);
-        result = 31 * result + (airingDate != null ? airingDate.hashCode() : 0);
-        result = 31 * result + (imdbRating != null ? imdbRating.hashCode() : 0);
-        result = 31 * result + (directorId != null ? directorId.hashCode() : 0);
-        return result;
-    }
 
-    public Collection<Discussion> getDiscussionsByMovieId() {
-        return discussionsByMovieId;
-    }
-
-    public void setDiscussionsByMovieId(Collection<Discussion> discussionsByMovieId) {
-        this.discussionsByMovieId = discussionsByMovieId;
-    }
-
-    public Collection<MovieActorsEntity> getMovieActorsByMovieId() {
-        return movieActorsByMovieId;
-    }
-
-    public void setMovieActorsByMovieId(Collection<MovieActorsEntity> movieActorsByMovieId) {
-        this.movieActorsByMovieId = movieActorsByMovieId;
-    }
-
-    public Collection<MovieGenresEntity> getMovieGenresByMovieId() {
-        return movieGenresByMovieId;
-    }
-
-    public void setMovieGenresByMovieId(Collection<MovieGenresEntity> movieGenresByMovieId) {
-        this.movieGenresByMovieId = movieGenresByMovieId;
-    }
-
-    public Collection<MovieLikesEntity> getMovieLikesByMovieId() {
-        return movieLikesByMovieId;
-    }
-
-    public void setMovieLikesByMovieId(Collection<MovieLikesEntity> movieLikesByMovieId) {
-        this.movieLikesByMovieId = movieLikesByMovieId;
-    }
-
-    public Collection<MovieRatesEntity> getMovieRatesByMovieId() {
-        return movieRatesByMovieId;
-    }
-
-    public void setMovieRatesByMovieId(Collection<MovieRatesEntity> movieRatesByMovieId) {
-        this.movieRatesByMovieId = movieRatesByMovieId;
-    }
-
-    public Person getPersonsByDirectorId() {
-        return personsByDirectorId;
-    }
-
-    public void setPersonsByDirectorId(Person personsByDirectorId) {
-        this.personsByDirectorId = personsByDirectorId;
-    }
 }
Index: src/main/java/com/wediscussmovies/project/model/MovieRates.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/MovieRates.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
+++ src/main/java/com/wediscussmovies/project/model/MovieRates.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -0,0 +1,40 @@
+package com.wediscussmovies.project.model;
+
+import javax.persistence.*;
+
+@Entity
+@Table(name = "movie_rates", schema = "project", catalog = "db_202122z_va_prj_wediscussmovies")
+@IdClass(MovieRatesPK.class)
+public class MovieRates {
+
+    @Id
+    @Column(name = "movie_id")
+    private Long movieId;
+
+    @Id
+    @Column(name = "user_id")
+    private Long userId;
+
+    private String reason;
+
+    @Column(name = "stars_rated")
+    private int stars;
+
+    @ManyToOne
+    @JoinColumn(name = "movie_id", referencedColumnName = "movie_id", nullable = false, insertable = false, updatable = false)
+    private Movie movie;
+
+    @ManyToOne
+    @JoinColumn(name = "user_id", referencedColumnName = "user_id", nullable = false, insertable = false, updatable = false)
+    private User user;
+
+    public MovieRates(Long movieId, Long userId, String reason, int starsRated) {
+        this.movieId = movieId;
+        this.userId = userId;
+        this.reason = reason;
+        this.stars = starsRated;
+    }
+
+    public MovieRates() {
+    }
+}
Index: src/main/java/com/wediscussmovies/project/model/MovieRatesPK.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/MovieRatesPK.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
+++ src/main/java/com/wediscussmovies/project/model/MovieRatesPK.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -0,0 +1,17 @@
+package com.wediscussmovies.project.model;
+
+import javax.persistence.Column;
+import javax.persistence.Id;
+import java.io.Serializable;
+
+public class MovieRatesPK implements Serializable {
+
+    @Id
+    @Column(name = "movie_id")
+    private Long movieId;
+
+    @Id
+    @Column(name = "user_id")
+    private Long userId;
+
+}
Index: src/main/java/com/wediscussmovies/project/model/PasswordEncoder.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/PasswordEncoder.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
+++ src/main/java/com/wediscussmovies/project/model/PasswordEncoder.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -0,0 +1,36 @@
+package com.wediscussmovies.project.model;
+
+
+import java.math.BigInteger;
+import java.nio.charset.StandardCharsets;
+import java.security.MessageDigest;
+import java.security.NoSuchAlgorithmException;
+
+public class PasswordEncoder {
+    public static byte[] getSHA(String input) throws NoSuchAlgorithmException
+    {
+        MessageDigest md = MessageDigest.getInstance("SHA-512");
+
+        return md.digest(input.getBytes(StandardCharsets.UTF_8));
+    }
+
+    public static String toHexString(byte[] hash)
+    {
+        BigInteger number = new BigInteger(1, hash);
+
+        StringBuilder hexString = new StringBuilder(number.toString(16));
+
+        while (hexString.length() < 32)
+        {
+            hexString.insert(0, '0');
+        }
+
+        return hexString.toString();
+    }
+
+    public static String getEncodedPasswordString(String password) throws NoSuchAlgorithmException {
+        return toHexString(getSHA(password));
+    }
+
+}
+
Index: src/main/java/com/wediscussmovies/project/model/Person.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Person.java	(revision 2d57cad1a18953bc47becb4f96114a908ecbf03d)
+++ src/main/java/com/wediscussmovies/project/model/Person.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -1,158 +1,48 @@
 package com.wediscussmovies.project.model;
+
+import com.wediscussmovies.project.model.enumerations.PersonType;
+import lombok.Data;
 
 import javax.persistence.*;
 import java.sql.Date;
 import java.util.Collection;
+import java.util.List;
 
 @Entity
 @Table(name = "persons", schema = "project", catalog = "db_202122z_va_prj_wediscussmovies")
+@Data
 public class Person {
     @GeneratedValue(strategy = GenerationType.IDENTITY)
     @Id
     @Column(name = "person_id")
-    private int personId;
-    @Basic
-    @Column(name = "name")
+    private Long personId;
+
     private String name;
-    @Basic
-    @Column(name = "surname")
+
     private String surname;
-    @Basic
-    @Column(name = "type")
-    private String type;
-    @Basic
+
+    @Enumerated
+    private PersonType type;
+
     @Column(name = "date_of_birth")
-    private Date dateOfBirth;
-    @Basic
+    private Date birthDate;
+
     @Column(name = "image_url")
     private String imageUrl;
-    @Basic
-    @Column(name = "description")
+
     private String description;
-    @OneToMany(mappedBy = "personsByPersonId")
-    private Collection<Discussion> discussionsByPersonId;
-    @OneToMany(mappedBy = "personsByActorId")
-    private Collection<MovieActorsEntity> movieActorsByPersonId;
-    @OneToMany(mappedBy = "personsByDirectorId")
-    private Collection<Movie> moviesByPersonId;
-    @OneToMany(mappedBy = "personsByPersonId")
-    private Collection<PersonRatesEntity> personRatesByPersonId;
 
-    public int getPersonId() {
-        return personId;
+
+
+    public Person() {
     }
 
-    public void setPersonId(int personId) {
-        this.personId = personId;
-    }
-
-    public String getName() {
-        return name;
-    }
-
-    public void setName(String name) {
+    public Person(String name, String surname, PersonType type, Date date_of_birth, String image_url, String description) {
         this.name = name;
-    }
-
-    public String getSurname() {
-        return surname;
-    }
-
-    public void setSurname(String surname) {
         this.surname = surname;
-    }
-
-    public String getType() {
-        return type;
-    }
-
-    public void setType(String type) {
         this.type = type;
-    }
-
-    public Date getDateOfBirth() {
-        return dateOfBirth;
-    }
-
-    public void setDateOfBirth(Date dateOfBirth) {
-        this.dateOfBirth = dateOfBirth;
-    }
-
-    public String getImageUrl() {
-        return imageUrl;
-    }
-
-    public void setImageUrl(String imageUrl) {
-        this.imageUrl = imageUrl;
-    }
-
-    public String getDescription() {
-        return description;
-    }
-
-    public void setDescription(String description) {
+        this.birthDate = date_of_birth;
+        this.imageUrl = image_url;
         this.description = description;
     }
-
-    @Override
-    public boolean equals(Object o) {
-        if (this == o) return true;
-        if (o == null || getClass() != o.getClass()) return false;
-
-        Person that = (Person) o;
-
-        if (personId != that.personId) return false;
-        if (name != null ? !name.equals(that.name) : that.name != null) return false;
-        if (surname != null ? !surname.equals(that.surname) : that.surname != null) return false;
-        if (type != null ? !type.equals(that.type) : that.type != null) return false;
-        if (dateOfBirth != null ? !dateOfBirth.equals(that.dateOfBirth) : that.dateOfBirth != null) return false;
-        if (imageUrl != null ? !imageUrl.equals(that.imageUrl) : that.imageUrl != null) return false;
-        if (description != null ? !description.equals(that.description) : that.description != null) return false;
-
-        return true;
-    }
-
-    @Override
-    public int hashCode() {
-        int result = personId;
-        result = 31 * result + (name != null ? name.hashCode() : 0);
-        result = 31 * result + (surname != null ? surname.hashCode() : 0);
-        result = 31 * result + (type != null ? type.hashCode() : 0);
-        result = 31 * result + (dateOfBirth != null ? dateOfBirth.hashCode() : 0);
-        result = 31 * result + (imageUrl != null ? imageUrl.hashCode() : 0);
-        result = 31 * result + (description != null ? description.hashCode() : 0);
-        return result;
-    }
-
-    public Collection<Discussion> getDiscussionsByPersonId() {
-        return discussionsByPersonId;
-    }
-
-    public void setDiscussionsByPersonId(Collection<Discussion> discussionsByPersonId) {
-        this.discussionsByPersonId = discussionsByPersonId;
-    }
-
-    public Collection<MovieActorsEntity> getMovieActorsByPersonId() {
-        return movieActorsByPersonId;
-    }
-
-    public void setMovieActorsByPersonId(Collection<MovieActorsEntity> movieActorsByPersonId) {
-        this.movieActorsByPersonId = movieActorsByPersonId;
-    }
-
-    public Collection<Movie> getMoviesByPersonId() {
-        return moviesByPersonId;
-    }
-
-    public void setMoviesByPersonId(Collection<Movie> moviesByPersonId) {
-        this.moviesByPersonId = moviesByPersonId;
-    }
-
-    public Collection<PersonRatesEntity> getPersonRatesByPersonId() {
-        return personRatesByPersonId;
-    }
-
-    public void setPersonRatesByPersonId(Collection<PersonRatesEntity> personRatesByPersonId) {
-        this.personRatesByPersonId = personRatesByPersonId;
-    }
 }
Index: src/main/java/com/wediscussmovies/project/model/PersonRates.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/PersonRates.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
+++ src/main/java/com/wediscussmovies/project/model/PersonRates.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -0,0 +1,41 @@
+package com.wediscussmovies.project.model;
+
+import lombok.Data;
+
+import javax.persistence.*;
+
+@Entity
+@Table(name = "person_rates", schema = "project", catalog = "db_202122z_va_prj_wediscussmovies")
+@IdClass(PersonRatesPK.class)
+@Data
+public class PersonRates {
+    @Id
+    @Column(name = "person_id")
+    private Long personId;
+
+    @Id
+    @Column(name = "user_id")
+    private Long userId;
+
+    private String reason;
+
+    @Column(name = "stars_rated")
+    private int stars;
+
+    @ManyToOne
+    @JoinColumn(name = "person_id", referencedColumnName = "person_id", nullable = false,insertable = false, updatable = false)
+    private Person person;
+    @ManyToOne
+    @JoinColumn(name = "user_id", referencedColumnName = "user_id", nullable = false,insertable = false, updatable = false)
+    private User user;
+
+    public PersonRates(Long person_id, Long user_id, String reason, int stars_rated) {
+        this.personId = person_id;
+        this.userId = user_id;
+        this.reason = reason;
+        this.stars = stars_rated;
+    }
+
+    public PersonRates() {
+    }
+}
Index: src/main/java/com/wediscussmovies/project/model/PersonRatesPK.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/PersonRatesPK.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
+++ src/main/java/com/wediscussmovies/project/model/PersonRatesPK.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -0,0 +1,17 @@
+package com.wediscussmovies.project.model;
+
+import javax.persistence.Column;
+import javax.persistence.Id;
+import java.io.Serializable;
+
+public class PersonRatesPK implements Serializable {
+
+    @Id
+    @Column(name = "person_id")
+    private Long personId;
+    @Id
+    @Column(name = "user_id")
+    private Long userId;
+
+
+}
Index: src/main/java/com/wediscussmovies/project/model/RepliesEntityPK.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/RepliesEntityPK.java	(revision 2d57cad1a18953bc47becb4f96114a908ecbf03d)
+++ src/main/java/com/wediscussmovies/project/model/RepliesEntityPK.java	(revision 7fafeade7bf35835297971768f9dc93f768c1ff0)
@@ -8,46 +8,13 @@
 
 public class RepliesEntityPK implements Serializable {
+    @Id
     @Column(name = "discussion_id")
-    @Id
-    private int discussionId;
-    @Column(name = "reply_id")
+    private Long discussionId;
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    private int replyId;
+    @Column(name = "reply_id")
+    private Long replyId;
 
-    public int getDiscussionId() {
-        return discussionId;
-    }
 
-    public void setDiscussionId(int discussionId) {
-        this.discussionId = discussionId;
-    }
 
-    public int getReplyId() {
-        return replyId;
-    }
-
-    public void setReplyId(int replyId) {
-        this.replyId = replyId;
-    }
-
-    @Override
-    public boolean equals(Object o) {
-        if (this == o) return true;
-        if (o == null || getClass() != o.getClass()) return false;
-
-        RepliesEntityPK that = (RepliesEntityPK) o;
-
-        if (discussionId != that.discussionId) return false;
-        if (replyId != that.replyId) return false;
-
-        return true;
-    }
-
-    @Override
-    public int hashCode() {
-        int result = discussionId;
-        result = 31 * result + replyId;
-        return result;
-    }
 }
